%global srcname pytest-benchmark

Name:           python-%{srcname}
Version:        3.1.1
Release:        1%{?dist}
Summary:        A py.test fixture for benchmarking code. It will group the tests into rounds that are calibrated to the chosen timer
License:        BSD
URL:            https://pytest-benchmark.readthedocs.io
Source:         https://github.com/ionelmc/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel 
BuildRequires:  python3-devel 
# Tests BR
BuildRequires:  python2-cpuinfo
BuildRequires:  python3-cpuinfo
BuildRequires:  python2-pytest
BuildRequires:  python3-pytest
BuildRequires:  python2-statistics
%if 0%{?fedora} >= 28
BuildRequires:  python2-pathlib
%else
BuildRequires:  python-pathlib
%endif

%global _description\
This plugin provides a benchmark fixture. This fixture is a callable object\
that will benchmark any function passed to it.\
\
Notable features and goals:\
\
  - Sensible defaults and automatic calibration for microbenchmarks\
  - Good integration with pytest\
  - Comparison and regression tracking\
  - Exhausive statistics\
  - JSON export

%description %_description

%package -n python2-%{srcname}
Summary:        %summary
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python2-pytest
Requires:       python2-cpuinfo
Requires:       python2-statistics
%if 0%{?fedora} >= 28
Requires:       python2-pathlib
%else
Requires:       python-pathlib
%endif

%description -n python2-%{srcname} %_description

%package -n python3-%{srcname}
Summary:        %summary
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       python3-pytest
Requires:       python3-cpuinfo

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{srcname}
%doc README.rst CHANGELOG.rst CONTRIBUTING.rst AUTHORS.rst
%license  LICENSE
%{python2_sitelib}/pytest_benchmark
%{python2_sitelib}/pytest_benchmark-%{version}-py*.egg-info

%files -n python3-%{srcname}
%doc README.rst CHANGELOG.rst CONTRIBUTING.rst AUTHORS.rst
%license LICENSE
%{_bindir}/py.test-benchmark
%{_bindir}/pytest-benchmark
%{python3_sitelib}/pytest_benchmark
%{python3_sitelib}/pytest_benchmark-%{version}-py*.egg-info

%changelog
* Wed Aug 30 2017 Juan Orti Alcaine <jorti@fedoraproject.org> - 3.1.1-1
- Initial RPM release
